from django.db import models

from aleksis.core.mixins import ExtensibleModel
from aleksis.core.models import Group


class Event(ExtensibleModel):
    # Event details
    display_name = models.CharField(verbose_name=_("Display name"), max_length=255, default="")
    short_name = models.CharField(verbose_name=_("Short name"), max_length=255, default="")
    group = models.ForeignKey(
        Group, on_delete=models.CASCADE, verbose_name=_("Group"), related_name="event"
    )
    description = models.CharField(max_length=500, verbose_name=_("Description"))
    published = models.BooleanField(default=False, verbose_name=_("Publish"))
    place = models.CharField(max_length=50, verbose_name="Place")

    # Date details
    date_event = models.DateField(verbose_name=_("Date of event"))
    date_registration = models.DateField(verbose_name=_("Registration deadline"))
    date_retraction = models.DateField(verbose_name=_("Retraction deadline"))

    # Other details
    cost = models.IntegerField(verbose_name=_("Cost in €"))
    max_participants = models.IntegerField(verbose_name=_("Max participants"))
